Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.discount.mgmt
Interface QualificationDiscountDef

All Superinterfaces
  Comparable, Serializable

Deprecated

    @Deprecated
    public interface QualificationDiscountDef

extends Serializable, Comparable

This interface defines the public interface of an immutable discount definition object. Discount definition objects are the run time representation of a discount. Discount are defined in XML discount set definitions. The `QualDiscountDefFactory` is used to create instance of discount definition objects from the discount set definition

Field Summary
`static String` | `ITEM_DISCOUNT_TYPE` Deprecated Defines the item discount type
`static String` | `ORDER_DISCOUNT_TYPE` Deprecated Defines the order discount type

Method Summary
`boolean` | `equals(Object obj)` Deprecated Tests if two discounts are the same
`int` | `getAllowedUses()` Deprecated Gets the value of the 'number of uses allowed' parameter for this discount.
`String` | `getDescription()` Deprecated Gets this discount's description
`Date` | `getEndDate()` Deprecated Gets the discount definition's expiration date
`String` | `getGlobalDescription()` Deprecated Gets this discount's global description
`QualificationDiscountId` | `getId()` Deprecated Get the `QualificationDiscountId` (unique identifier) associated with this definition
`DiscountModifier` | `getModifier()` Deprecated Gets the `DiscountModifier` associated with this discount
`String` | `getName()` Deprecated Gets this discounts name, discount names are only unique within a given discount set
`int` | `getPriority()` Deprecated Gets the priority associated with this definition
`DiscountRule` | `getRule()` Deprecated Gets the `DiscountRule` associated with this discount
`String` | `getSetName()` Deprecated As of version 4.0, this method now throws an `UnsupportedOperationException`.
`Date` | `getStartDate()` Deprecated Gets the discount definition's begin date
`String` | `getType()` Deprecated Gets the type of this discount, should be one of the discount type constants defined by this interface
`int` | `hashCode()` Deprecated A unique code for this discount
`boolean` | `isActive()` Deprecated Gets this discount's active flag
`boolean` | `isGlobal()` Deprecated Gets this discount's global flag
`void` | `setId(QualificationDiscountId newId)` Deprecated
`String` | `toString()` Deprecated Gets a `String`representation of this discount``

Methods inherited from interface java.lang.Comparable
`compareTo`

Field Detail

### ITEM_DISCOUNT_TYPE

    static final String ITEM_DISCOUNT_TYPE

  Deprecated
  Defines the item discount type

  See Also
    Constants Summary

### ORDER_DISCOUNT_TYPE

    static final String ORDER_DISCOUNT_TYPE

  Deprecated
  Defines the order discount type

  See Also
    Constants Summary

Method Detail

### getId

    QualificationDiscountId getId()

  Deprecated
  Get the `QualificationDiscountId` (unique identifier) associated with this definition

  Returns
    this discounts id (`QualificationDiscountId`)

### setId

    void setId(QualificationDiscountId newId)

  Deprecated

### getPriority

    int getPriority()

  Deprecated
  Gets the priority associated with this definition

  Returns
    this discount's priority

### isGlobal

    boolean isGlobal()

  Deprecated
  Gets this discount's global flag

  Returns
    ture if this is a global discount, flase otherwise

### getName

    String getName()

  Deprecated
  Gets this discounts name, discount names are only unique within a given discount set

  Returns
    this discount's name
  See Also
    `getSetName()`

### getType

    String getType()

  Deprecated
  Gets the type of this discount, should be one of the discount type constants defined by this interface

  Returns
    this discount's type

### getAllowedUses

    int getAllowedUses()

  Deprecated
  Gets the value of the 'number of uses allowed' parameter for this discount. This is the number of orders the discount may be applied to for a given user. The value must be positive.

  Returns
    the number of uses allowed

### getModifier

    DiscountModifier getModifier()

  Deprecated
  Gets the `DiscountModifier` associated with this discount

  Returns
    the `DiscountModifier` associated with this discount
  See Also
    `DiscountModifier`

### getRule

    DiscountRule getRule()

  Deprecated
  Gets the `DiscountRule` associated with this discount

  Returns
    the `DiscountRule` associated with this discount
  See Also
    `DiscountRule`

### getEndDate

    Date getEndDate()

  Deprecated
  Gets the discount definition's expiration date

  Returns
    a Date, the discount's expiration date

### getStartDate

    Date getStartDate()

  Deprecated
  Gets the discount definition's begin date

  Returns
    a Date, the discount's begin date

### isActive

    boolean isActive()

  Deprecated
  Gets this discount's active flag

  Returns
    true if the discount is active, false otherwise

### getDescription

    String getDescription()

  Deprecated
  Gets this discount's description

  Returns
    this discount's description

### getGlobalDescription

    String getGlobalDescription()

  Deprecated
  Gets this discount's global description

  Returns
    this discount's global description

### getSetName

    String getSetName()

  Deprecated As of version 4.0, this method now throws an `UnsupportedOperationException`.

  Gets the name of the discount set this discount was defined in

  Returns
    this discount's set name
  Throws
    `UnsupportedOperationException`

### equals

    boolean equals(Object obj)

  Deprecated
  Tests if two discounts are the same

  Overrides:
    `equals` in class `Object`
  Parameters
    `obj` - the `QualificationDiscountDef` to compare this one against
  Returns
    true if the passed `QualificationDiscountDef` is the same as this one

### hashCode

    int hashCode()

  Deprecated
  A unique code for this discount

  Overrides:
    `hashCode` in class `Object`
  Returns
    the hashCode for this discount

### toString

    String toString()

  Deprecated
  Gets a `String`representation of this discount

  ``
  Overrides:
    `toString` in class `Object`
  Returns
    a `String`representation of this discount``

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.